import React from 'react';
export interface FilterFieldProps {
    fieldName: string;
    displayName: string;
    queryScope: Array<string>;
    comparison: string;
    bizType: string;
    componentType: string;
    placeholder: string;
    isRequired: boolean;
    style?: object;
}
interface StateProps {
}
declare class FilterField extends React.Component<FilterFieldProps, StateProps> {
    static displayName: string;
    constructor(props: FilterFieldProps);
    renderChild_: () => JSX.Element;
    render(): React.ReactNode;
}
export default FilterField;
